/*
AddAppInfo, Copyright (C) 1999-2000 Jean-Baptiste M. Queru

This program is free software; you can redistribute it and/or
modify it under the terms of the enclosed JBQ code license.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
License for more details.

Contact the author at:
Jean-Baptiste M. Queru, 31 Camino Alto, Millbrae CA 94030, USA
or by e-mail at : jb@queru.com
*/

#ifndef ADDAPPINFO_H_
#define ADDAPPINFO_H_

#include <Application.h>

class AAIApp : public BApplication {
public:
	AAIApp();
	void ArgvReceived(int32,char**); // the command line is parsed there
	void ReadyToRun(); // and the active part of the program is here - program must be multiple launch

	void PrintUsage(const char* =NULL);

	char*srcname,*dstname;
	bool earlyquit; // set if anything happens in the command-line parsing that'd cause the app to exit quickly
};

#endif
